<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/background_shape_white_radius_12_top_only">

    <TextView
        android:id="@+id/titleTv"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:gravity="center"
        android:text="选择默认封面"
        android:textStyle="bold"
        android:textColor="@color/text_title"
        android:textSize="@dimen/secondary_title_text_size"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/changeBatchBtn"
        android:layout_width="wrap_content"
        android:layout_height="48dp"
        android:gravity="center"
        android:paddingLeft="16dp"
        android:paddingRight="16dp"
        android:text="换一批"
        android:textColor="@color/theme_font"
        app:layout_constraintBottom_toBottomOf="@+id/titleTv"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/titleTv" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/coverRv"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="16dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintBottom_toTopOf="@+id/cancelBtn"
        app:layout_constraintTop_toBottomOf="@+id/titleTv" />

    <include
        android:id="@+id/reuse_ll_loading"
        layout="@layout/reuse_loading"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="@+id/coverRv"
        app:layout_constraintBottom_toBottomOf="@+id/coverRv"
        app:layout_constraintStart_toStartOf="@+id/coverRv"
        app:layout_constraintEnd_toEndOf="@+id/coverRv" />

    <TextView
        android:id="@id/cancelBtn"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_margin="16dp"
        android:background="@drawable/bg_shape_f5_radius_999"
        android:gravity="center"
        android:text="@string/cancel"
        android:textColor="@color/text_subtitle"
        android:textSize="@dimen/secondary_title_text_size"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/coverRv" />

</androidx.constraintlayout.widget.ConstraintLayout>